Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
telephony
/
phone-numbers
List all phone numbers for a project
curl --request GET \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "phoneNumbers": [
    {
      "number": "<string>",
      "projectId": "<string>",
      "accountId": "<string>",
      "clientEnv": "<string>",
      "connectorId": "<string>"
    }
  ]
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required

Query Parameters

connectorId
string

Filter by connector ID

Response

Successful response

Every phone number in the project, optionally filtered by connector.

phoneNumbers
object[]
required
Last modified on April 22, 2026